import {RolesGuard} from "../../app/guard/RolesGuard";
import {UrlTree} from "@angular/router";
import {Injectable} from "@angular/core";

@Injectable({providedIn: 'root'})
export class MfeRolesGuard extends RolesGuard {
  protected getUrlOnFailure(): UrlTree {
    return this.router.createUrlTree(['access-denied']);
  }
}